Package org.apache.catalina.tribes.group

## Interface ExtendedRpcCallback

- All Superinterfaces:
    `RpcCallback`

      public interface ExtendedRpcCallback
      extends RpcCallback

  Extension to the `RpcCallback` interface. Allows an RPC messenger to get a confirmation if the reply was sent successfully to the original sender.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `replyFailed​(java.io.Serializable request, java.io.Serializable response, Member sender, java.lang.Exception reason)` | The reply failed.
    `void` | `replySucceeded​(java.io.Serializable request, java.io.Serializable response, Member sender)` | The reply succeeded

    - ### Methods inherited from interface org.apache.catalina.tribes.group.RpcCallback

      `leftOver, replyRequest`

- - ### Method Detail

    - #### replyFailed

          void replyFailed​(java.io.Serializable request,
                           java.io.Serializable response,
                           Member sender,
                           java.lang.Exception reason)

      The reply failed.
      Parameters:
        `request` - - the original message that requested the reply
        `response` - - the reply message to the original message
        `sender` - - the sender requested that reply
        `reason` - - the reason the reply failed

    - #### replySucceeded

          void replySucceeded​(java.io.Serializable request,
                              java.io.Serializable response,
                              Member sender)

      The reply succeeded
      Parameters:
        `request` - - the original message that requested the reply
        `response` - - the reply message to the original message
        `sender` - - the sender requested that reply